Package org.eclipse.ui

## Interface ISaveablesLifecycleListener

    public interface ISaveablesLifecycleListener

Listener for events fired by implementers of `ISaveablesSource`.

This service can be acquired from a part's service locator:

     ISaveablesLifecycleListener listener = (ISaveablesLifecycleListener) getSite()
                    .getService(ISaveablesLifecycleListener.class);

or, in the case of implementers of `ISaveablesSource` that are not a part, from the workbench:

     ISaveablesLifecycleListener listener = (ISaveablesLifecycleListener) workbench
                    .getService(ISaveablesLifecycleListener.class);

- This service is available globally.

Since:
  3.2

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleLifecycleEvent​(SaveablesLifecycleEvent event)` Handle the given event.

### Method Detail

#### handleLifecycleEvent

    void handleLifecycleEvent​(SaveablesLifecycleEvent event)

Handle the given event. This method must be called on the UI thread.

Parameters:
  `event` -